/* gti.c - compare two signed integers, return a > b

   AUTHOR: Gregory Pietsch

   DESCRIPTION:
   
   Both a and b are signed integers with precision prec.
   
   This file has been put into the public domain by its author.
   
   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
   OTHER DEALINGS IN THE SOFTWARE.
*/

#include "mpi.h"

int
_Gti (_MPI_T a, _MPI_T b, int prec)
{
  int sa, sb;

  sa = _Sgn (a, prec);
  sb = _Sgn (b, prec);
  if (sa != sb)
    return sb;
  else
    return _Cmp (a, b, prec) > 0;
}

/* END OF FILE */
